{
  "format_version": "1.8.0",
  "render_controllers": {
    "controller.render.wither_boss": {
      "arrays": {
        "textures": {
          "Array.wither_state": [ "Texture.invulnerable", "Texture.default" ]
        }
      },
    //   "overlay_color": { "r": 0.25, "g": 0.25, "b": 0.9, "a": "0.5*q.property('ldz:ice_overlay')" },	
      "geometry": "Geometry.default",
      "materials": [ { "*": "Material.default" } ],
      "textures": [ "Array.wither_state[variable.display_normal_skin]" ],
      "overlay_color": {
        "r": "variable.is_invulnerable ? 1.0 : this",
        "g": "variable.is_invulnerable ? 1.0 : this",
        "b": "variable.is_invulnerable ? 1.0 : this",
        "a": "variable.is_invulnerable ? query.overlay_alpha : this"
      }
    }
  }
}
